import { jsx } from "react/jsx-runtime";
import { SunDim as SunDim$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SunDim = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "SunDim", ...props, children: /* @__PURE__ */ jsx(SunDim$1, { weight: variant }) });
  }
);
SunDim.displayName = "SunDim";
Object.assign(SunDim, { isGdsIcon: true });
export {
  SunDim
};
